Reference
//
Update an expense descrip...
Security
oauth2ClientCredentials(Required scopes: expenses:write)
- Mock serverhttps://developer.boyahq.com/_mock/v2/openapi/expenses/notes/{id}
- Productionhttps://api.boyahq.com/v2/expenses/notes/{id}
- Sandboxhttps://sandbox.api.boyahq.com/v2/expenses/notes/{id}
curl -i -X POST \
'https://developer.boyahq.com/_mock/v2/openapi/expenses/notes/{id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'business_id: string' \
-H 'org_wallet_ref: string' \
-d '{
"notes": "Updated expense notes"
}'Expense updated successfully
Response
{ "_id": "string", "amount": 0, "fees": 0, "charge": 0, "original_currency": "string", "currency": "string", "original_amount": 0, "transaction_ref": "string", "provider_ref": "string", "employee_id": "string", "person": "string", "vendor_ref": {}, "transaction_date": "string", "MerchantCategoryCode": "string", "MerchantIdentifier": "string", "fx_rate": 0, "card_vcn": "string", "receiver": "string", "accno": "string", "payment_type": "string", "channel": "string", "subcategory": { "_id": "string", "category": { … }, "code": "string", "name": "string" }, "team": { "_id": "string", "name": "string", "code": "string" }, "tag": [ { … } ], "notes": "string", "risk": "string", "risk_notes": "string", "ip": "string", "attachments": [ "string" ], "invoice_attachments": [ "string" ], "payment_status": "string", "status": "string", "review_participants": [ "string" ], "review_mandate": 0, "review_level": 0, "priority": 0, "events": [ "string" ], "exported": true, "tax_compliant": true, "sync_successful": true, "org_wallet_ref": "string", "vendor": "string", "customer": {}, "subscription_id": "string", "account_number": "string", "scan": [ { … } ], "batched": true, "line_items": [ { … } ], "employee_external_id": {}, "employee": { "_id": "string", "name": "string", "organization_email": "string", "tags": [ … ], "supervisor": {}, "customer_id": "string", "customer_name": "string" }, "reviews": [ { … } ], "createdAt": "string", "updatedAt": "string", "__v": 0, "requisition_reference": "string", "acknowledged_by_ai": true, "analysed_by_ai": true, "attachments_data": [ "string" ], "deleted_attachments": [ "string" ], "ready_for_ai": true, "send_to_ai_attempts": 0, "sent_to_ai": true, "id": "string" }